<template>
  <div>
    <div class="demo-collapse">
      <el-collapse accordion>
        <div class="grid 2xl:grid-cols-2 grid-cols-1 gap-x-10 gap-y-5">
          <slot></slot>
        </div>
      </el-collapse>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "CollapseLists",
  setup() {
    return {};
  },
});
</script>
<style lang="scss" scoped>
.demo-collapse {
  :deep(.el-collapse) {
    border-top: 0px;
    border-bottom: 0px;
    .el-collapse-item {
      .el-collapse-item__wrap {
        border-bottom: 0px;
        background-color: var(--background-body);
        box-shadow: var(--box-shadow);
        border-bottom-left-radius: 12px;
        border-bottom-right-radius: 12px;
      }
      .el-collapse-item__header {
        background: var(--background-body);
        box-shadow: var(--box-shadow);
        border-radius: 12px;
        display: flex;
        justify-content: space-between;
        border-bottom: 0px;
        position: relative;
        height: auto;
        &.is-active {
          border-top-right-radius: 12px;
          border-top-left-radius: 12px;
          border-bottom-right-radius: 0px;
          border-bottom-left-radius: 0px;
        }
        .el-icon-customize {
          width: 32px;
          height: 32px;
          background: var(--button-bg);
          box-shadow: var(--box-shadow);
          border-radius: 16px;
          text-align: center;
          color: var(--font-color-primary);
          font-size: 32px;
          font-weight: 100;
          &::before {
            content: "\00D7";
            display: flex;
            justify-content: center;
            align-items: center;
            width: 32px;
            height: 32px;
            transform: rotate(45deg);
          }
        }
        &.is-active {
          .el-icon-customize {
            &::before {
              content: "\00D7";
              display: flex;
              justify-content: center;
              align-items: center;
              width: 32px;
              height: 32px;
              transform: rotate(90deg);
            }
          }
        }
        .el-icon {
          display: none;
        }
      }
    }
  }
}
</style>
